<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
            <title>phpDocumentor</title>
    
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <base href="../">
    <link rel="icon" href="images/favicon.ico"/>
    <link rel="stylesheet" href="css/normalize.css">
    <link rel="stylesheet" href="css/base.css">
            <link rel="preconnect" href="https://fonts.gstatic.com">
        <link href="https://fonts.googleapis.com/css2?family=Source+Sans+Pro:wght@400;600;700&display=swap" rel="stylesheet">
        <link href="https://fonts.googleapis.com/css2?family=Source+Code+Pro:wght@400;600;700&display=swap" rel="stylesheet">
        <link rel="stylesheet" href="css/template.css">
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.12.0/css/all.min.css" integrity="sha256-ybRkN9dBjhcS2qrW1z+hfCxq+1aBdwyQM5wlQoQVt/0=" crossorigin="anonymous" />
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/prismjs@1.23.0/themes/prism-okaidia.css">
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/prismjs@1.23.0/plugins/line-numbers/prism-line-numbers.css">
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/prismjs@1.23.0/plugins/line-highlight/prism-line-highlight.css">
                <script src="https://cdn.jsdelivr.net/npm/fuse.js@3.4.6"></script>
        <script src="https://cdn.jsdelivr.net/npm/css-vars-ponyfill@2"></script>
        <script src="js/search.js"></script>
        <script defer src="js/searchIndex.js"></script>
    </head>
<body id="top">
    <header class="phpdocumentor-header phpdocumentor-section">
    <h1 class="phpdocumentor-title"><a href="" class="phpdocumentor-title__link">phpDocumentor</a></h1>
    <input class="phpdocumentor-header__menu-button" type="checkbox" id="menu-button" name="menu-button" />
    <label class="phpdocumentor-header__menu-icon" for="menu-button">
        <i class="fas fa-bars"></i>
    </label>
    <section data-search-form class="phpdocumentor-search">
    <label>
        <span class="visually-hidden">Search for</span>
        <svg class="phpdocumentor-search__icon" width="21" height="20" viewBox="0 0 21 20" fill="none" xmlns="http://www.w3.org/2000/svg">
            <circle cx="7.5" cy="7.5" r="6.5" stroke="currentColor" stroke-width="2"/>
            <line x1="12.4892" y1="12.2727" x2="19.1559" y2="18.9393" stroke="currentColor" stroke-width="3"/>
        </svg>
        <input type="search" class="phpdocumentor-field phpdocumentor-search__field" placeholder="Loading .." disabled />
    </label>
</section>

    <nav class="phpdocumentor-topnav">
    <ul class="phpdocumentor-topnav__menu">
        </ul>
</nav>
</header>

    <main class="phpdocumentor">
        <div class="phpdocumentor-section">
            <input class="phpdocumentor-sidebar__menu-button" type="checkbox" id="sidebar-button" name="sidebar-button" />
<label class="phpdocumentor-sidebar__menu-icon" for="sidebar-button">
    Menu
</label>
<aside class="phpdocumentor-column -four phpdocumentor-sidebar">
                    <section class="phpdocumentor-sidebar__category">
            <h2 class="phpdocumentor-sidebar__category-header">Namespaces</h2>
                                    <h4 class="phpdocumentor-sidebar__root-namespace">
    <a href="namespaces/inc.html" class="">Inc</a>
</h4>
    <ul class="phpdocumentor-list">
                    <li>
                <a href="namespaces/inc-api.html" class="">Api</a>
                
            </li>
                    <li>
                <a href="namespaces/inc-base.html" class="">Base</a>
                
            </li>
                    <li>
                <a href="namespaces/inc-defaultdata.html" class="">DefaultData</a>
                
            </li>
                    <li>
                <a href="namespaces/inc-pages.html" class="">Pages</a>
                
            </li>
            </ul>

                        </section>
                <section class="phpdocumentor-sidebar__category">
            <h2 class="phpdocumentor-sidebar__category-header">Packages</h2>
                                    <h4 class="phpdocumentor-sidebar__root-namespace">
    <a href="packages/OERSI.html" class="">OERSI</a>
</h4>

                                    <h4 class="phpdocumentor-sidebar__root-namespace">
    <a href="packages/Application.html" class="">Application</a>
</h4>

                                    <h4 class="phpdocumentor-sidebar__root-namespace">
    <a href="packages/OERSi.html" class="">OERSi</a>
</h4>

                        </section>
            
    <section class="phpdocumentor-sidebar__category">
        <h2 class="phpdocumentor-sidebar__category-header">Reports</h2>
                <h3 class="phpdocumentor-sidebar__root-package"><a href="reports/deprecated.html">Deprecated</a></h3>
        <h3 class="phpdocumentor-sidebar__root-package"><a href="reports/errors.html">Errors</a></h3>
        <h3 class="phpdocumentor-sidebar__root-package"><a href="reports/markers.html">Markers</a></h3>
    </section>

    <section class="phpdocumentor-sidebar__category">
        <h2 class="phpdocumentor-sidebar__category-header">Indices</h2>
        <h3 class="phpdocumentor-sidebar__root-package"><a href="indices/files.html">Files</a></h3>
    </section>
</aside>

            <div class="phpdocumentor-column -eight phpdocumentor-content">
                    <ul class="phpdocumentor-breadcrumbs">
            <li class="phpdocumentor-breadcrumb"><a href="namespaces/inc.html">Inc</a></li>
            <li class="phpdocumentor-breadcrumb"><a href="namespaces/inc-pages.html">Pages</a></li>
            <li class="phpdocumentor-breadcrumb"><a href="namespaces/inc-pages-configuration.html">Configuration</a></li>
    </ul>

    <article class="phpdocumentor-element -class">
        <h2 class="phpdocumentor-content__title">
    Configuration

        <span class="phpdocumentor-element__extends">
        extends <a href="classes/Inc-Pages-Configuration-ConfigurationCallbacks.html"><abbr title="\Inc\Pages\Configuration\ConfigurationCallbacks">ConfigurationCallbacks</abbr></a>
    </span>
    
            <div class="phpdocumentor-element__package">
            in package
            <ul class="phpdocumentor-breadcrumbs">
                                    <li class="phpdocumentor-breadcrumb"><a href="packages/OERSI.html">OERSI</a></li>
                            </ul>
        </div>
    
    
    </h2>

        <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="inc/Pages/Configuration/Configuration.php"><a href="files/inc-pages-configuration-configuration.html"><abbr title="inc/Pages/Configuration/Configuration.php">Configuration.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">24</span>

    </aside>

        








<h3 id="toc">
    Table of Contents
    <a href="#toc" class="headerlink"><i class="fas fa-link"></i></a>
</h3>

<dl class="phpdocumentor-table-of-contents">
                    <dt class="phpdocumentor-table-of-contents__entry -property -public">
    <a href="classes/Inc-Pages-Configuration-ConfigurationCallbacks.html#property_optionGroup">$optionGroup</a>
    <span>
                        &nbsp;: string            </span>
</dt>
<dd>Declare the option group, for setSettings() method</dd>

            <dt class="phpdocumentor-table-of-contents__entry -property -public">
    <a href="classes/Inc-Pages-Configuration-ConfigurationCallbacks.html#property_optionName">$optionName</a>
    <span>
                        &nbsp;: string            </span>
</dt>
<dd>Declare the option name, for setSettings() method</dd>

            <dt class="phpdocumentor-table-of-contents__entry -property -public">
    <a href="classes/Inc-Pages-Configuration-Configuration.html#property_pages">$pages</a>
    <span>
                        &nbsp;: array&lt;string|int, mixed&gt;            </span>
</dt>
<dd>A property to store an array of all the pages we want to add to the wordpress admin menu</dd>

            <dt class="phpdocumentor-table-of-contents__entry -property -public">
    <a href="classes/Inc-Base-BaseController.html#property_plugin">$plugin</a>
    <span>
                        &nbsp;: mixed            </span>
</dt>
<dd></dd>

            <dt class="phpdocumentor-table-of-contents__entry -property -public">
    <a href="classes/Inc-Base-BaseController.html#property_pluginAssets">$pluginAssets</a>
    <span>
                        &nbsp;: mixed            </span>
</dt>
<dd></dd>

            <dt class="phpdocumentor-table-of-contents__entry -property -public">
    <a href="classes/Inc-Base-BaseController.html#property_pluginFileName">$pluginFileName</a>
    <span>
                        &nbsp;: mixed            </span>
</dt>
<dd></dd>

            <dt class="phpdocumentor-table-of-contents__entry -property -public">
    <a href="classes/Inc-Base-BaseController.html#property_pluginLogsDir">$pluginLogsDir</a>
    <span>
                        &nbsp;: mixed            </span>
</dt>
<dd></dd>

            <dt class="phpdocumentor-table-of-contents__entry -property -public">
    <a href="classes/Inc-Base-BaseController.html#property_pluginLogsFileName">$pluginLogsFileName</a>
    <span>
                        &nbsp;: mixed            </span>
</dt>
<dd></dd>

            <dt class="phpdocumentor-table-of-contents__entry -property -public">
    <a href="classes/Inc-Base-BaseController.html#property_pluginName">$pluginName</a>
    <span>
                        &nbsp;: mixed            </span>
</dt>
<dd></dd>

            <dt class="phpdocumentor-table-of-contents__entry -property -public">
    <a href="classes/Inc-Base-BaseController.html#property_pluginPath">$pluginPath</a>
    <span>
                        &nbsp;: mixed            </span>
</dt>
<dd></dd>

            <dt class="phpdocumentor-table-of-contents__entry -property -public">
    <a href="classes/Inc-Base-BaseController.html#property_pluginUrl">$pluginUrl</a>
    <span>
                        &nbsp;: mixed            </span>
</dt>
<dd></dd>

            <dt class="phpdocumentor-table-of-contents__entry -property -public">
    <a href="classes/Inc-Base-BaseController.html#property_pluginVersion">$pluginVersion</a>
    <span>
                        &nbsp;: mixed            </span>
</dt>
<dd></dd>

            <dt class="phpdocumentor-table-of-contents__entry -property -public">
    <a href="classes/Inc-Pages-Configuration-ConfigurationCallbacks.html#property_sectionId">$sectionId</a>
    <span>
                        &nbsp;: string            </span>
</dt>
<dd>Declare the Id for setSettings() method</dd>

            <dt class="phpdocumentor-table-of-contents__entry -property -public">
    <a href="classes/Inc-Pages-Configuration-Configuration.html#property_settings">$settings</a>
    <span>
                        &nbsp;: <a href="classes/Inc-Api-SettingsApi.html"><abbr title="\Inc\Api\SettingsApi">SettingsApi</abbr></a>            </span>
</dt>
<dd>A property to store the settings api class</dd>

                <dt class="phpdocumentor-table-of-contents__entry -method -public">
    <a href="classes/Inc-Base-BaseController.html#method___construct">__construct()</a>
    <span>
                                &nbsp;: mixed    </span>
</dt>
<dd></dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -public">
    <a href="classes/Inc-Pages-Configuration-ConfigurationCallbacks.html#method_checkboxField">checkboxField()</a>
    <span>
                                &nbsp;: void    </span>
</dt>
<dd>This method will generate a checkbox field. and will be called as a callback in the renderInputs method.</dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -public">
    <a href="classes/Inc-Pages-Configuration-ConfigurationCallbacks.html#method_dropDownField">dropDownField()</a>
    <span>
                                &nbsp;: void    </span>
</dt>
<dd>This method will generate a select field. and will be called as a callback in the renderInputs method.</dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -public">
    <a href="classes/Inc-Api-AbstractCallback.html#method_fields">fields()</a>
    <span>
                                &nbsp;: array&lt;string|int, mixed&gt;    </span>
</dt>
<dd>Fields to be generated in the settings page, this function is called in the register method.</dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -public">
    <a href="classes/Inc-Pages-Configuration-ConfigurationCallbacks.html#method_numberField">numberField()</a>
    <span>
                                &nbsp;: void    </span>
</dt>
<dd>This method will generate a input number field. and will be called as a callback in the renderInputs method.</dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -public">
    <a href="classes/Inc-Pages-Configuration-Configuration.html#method_register">register()</a>
    <span>
                                &nbsp;: void    </span>
</dt>
<dd>A function that is called when we register it in the init method
 Register contain all the methods that we want to call when we register the plugin</dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -public">
    <a href="classes/Inc-Api-AbstractCallback.html#method_render">render()</a>
    <span>
                                &nbsp;: void    </span>
</dt>
<dd>This method with deliver the input based on type of input.</dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -public">
    <a href="classes/Inc-Api-AbstractCallback.html#method_sanitizeInputs">sanitizeInputs()</a>
    <span>
                                &nbsp;: array&lt;string|int, mixed&gt;    </span>
</dt>
<dd>This method will sanitize the input data before saving it in the database.</dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -public">
    <a href="classes/Inc-Api-AbstractCallback.html#method_sectionManager">sectionManager()</a>
    <span>
                                &nbsp;: void    </span>
</dt>
<dd>function is called as a callback in setSection function.</dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -public">
    <a href="classes/Inc-Pages-Configuration-Configuration.html#method_setFields">setFields()</a>
    <span>
                                &nbsp;: void    </span>
</dt>
<dd>Part of the Settings API. this  define all the fields we want to add to the settings section.</dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -public">
    <a href="classes/Inc-Pages-Configuration-Configuration.html#method_setPages">setPages()</a>
    <span>
                                &nbsp;: void    </span>
</dt>
<dd>A function that we can add all the pages we want to add to the wordpress admin menu
 it will assign the pages to the $this-&gt;pages array</dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -public">
    <a href="classes/Inc-Pages-Configuration-Configuration.html#method_setSections">setSections()</a>
    <span>
                                &nbsp;: void    </span>
</dt>
<dd>Part of the Settings API. this  define all the sections we want to add  at the top of the settings section before the actual fields.</dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -public">
    <a href="classes/Inc-Pages-Configuration-Configuration.html#method_setSettings">setSettings()</a>
    <span>
                                &nbsp;: void    </span>
</dt>
<dd>A function that registers all the settings we want to add to the wordpress admin menu
 it will assign the settings to the $this-&gt;settings</dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -public">
    <a href="classes/Inc-Api-AbstractCallback.html#method_template">template()</a>
    <span>
                                &nbsp;: void    </span>
</dt>
<dd>Return Templates for the translations page.</dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -public">
    <a href="classes/Inc-Pages-Configuration-ConfigurationCallbacks.html#method_textAreaField">textAreaField()</a>
    <span>
                                &nbsp;: void    </span>
</dt>
<dd>This method will generate a textarea field. and will be called as a callback in the renderInputs method.</dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -public">
    <a href="classes/Inc-Pages-Configuration-ConfigurationCallbacks.html#method_textField">textField()</a>
    <span>
                                &nbsp;: void    </span>
</dt>
<dd>This method will generate a text field. and will be called as a callback in the renderInputs method.</dd>

        </dl>



        

        
    <section class="phpdocumentor-properties">
        <h3 class="phpdocumentor-elements__header" id="properties">
            Properties
            <a href="classes/Inc-Pages-Configuration-Configuration.html#properties" class="headerlink"><i class="fas fa-link"></i></a>
        </h3>
                    <article
        class="
            phpdocumentor-element
            -property
            -public
            -static                                            "
>
    <h4 class="phpdocumentor-element__name" id="property_optionGroup">
        $optionGroup
        <a href="classes/Inc-Pages-Configuration-ConfigurationCallbacks.html#property_optionGroup" class="headerlink"><i class="fas fa-link"></i></a>
        <span class="phpdocumentor-element__modifiers">
                                </span>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="inc/Pages/Configuration/ConfigurationCallbacks.php"><a href="files/inc-pages-configuration-configurationcallbacks.html"><abbr title="inc/Pages/Configuration/ConfigurationCallbacks.php">ConfigurationCallbacks.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">26</span>

    </aside>

        <p class="phpdocumentor-summary">Declare the option group, for setSettings() method</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
    <span class="phpdocumentor-signature__static">static</span>    <span class="phpdocumentor-signature__type">string</span>
    <span class="phpdocumentor-signature__name">$optionGroup</span>
     = <span class="phpdocumentor-signature__default-value">&#039;oersi_plugin_configuration&#039;</span></code>

    
    
    

</article>
                    <article
        class="
            phpdocumentor-element
            -property
            -public
            -static                                            "
>
    <h4 class="phpdocumentor-element__name" id="property_optionName">
        $optionName
        <a href="classes/Inc-Pages-Configuration-ConfigurationCallbacks.html#property_optionName" class="headerlink"><i class="fas fa-link"></i></a>
        <span class="phpdocumentor-element__modifiers">
                                </span>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="inc/Pages/Configuration/ConfigurationCallbacks.php"><a href="files/inc-pages-configuration-configurationcallbacks.html"><abbr title="inc/Pages/Configuration/ConfigurationCallbacks.php">ConfigurationCallbacks.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">33</span>

    </aside>

        <p class="phpdocumentor-summary">Declare the option name, for setSettings() method</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
    <span class="phpdocumentor-signature__static">static</span>    <span class="phpdocumentor-signature__type">string</span>
    <span class="phpdocumentor-signature__name">$optionName</span>
     = <span class="phpdocumentor-signature__default-value">&#039;oersi_plugin_configuration&#039;</span></code>

    
    
    

</article>
                    <article
        class="
            phpdocumentor-element
            -property
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="property_pages">
        $pages
        <a href="classes/Inc-Pages-Configuration-Configuration.html#property_pages" class="headerlink"><i class="fas fa-link"></i></a>
        <span class="phpdocumentor-element__modifiers">
                                </span>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="inc/Pages/Configuration/Configuration.php"><a href="files/inc-pages-configuration-configuration.html"><abbr title="inc/Pages/Configuration/Configuration.php">Configuration.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">39</span>

    </aside>

        <p class="phpdocumentor-summary">A property to store an array of all the pages we want to add to the wordpress admin menu</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
        <span class="phpdocumentor-signature__type">array&lt;string|int, mixed&gt;</span>
    <span class="phpdocumentor-signature__name">$pages</span>
     = <span class="phpdocumentor-signature__default-value">[]</span></code>

    
    
    

</article>
                    <article
        class="
            phpdocumentor-element
            -property
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="property_plugin">
        $plugin
        <a href="classes/Inc-Base-BaseController.html#property_plugin" class="headerlink"><i class="fas fa-link"></i></a>
        <span class="phpdocumentor-element__modifiers">
                                </span>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="inc/Base/BaseController.php"><a href="files/inc-base-basecontroller.html"><abbr title="inc/Base/BaseController.php">BaseController.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">22</span>

    </aside>

    
    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
        <span class="phpdocumentor-signature__type">mixed</span>
    <span class="phpdocumentor-signature__name">$plugin</span>
    </code>

        <section class="phpdocumentor-description"></section>

        <section class="phpdocumentor-description"></section>

    

</article>
                    <article
        class="
            phpdocumentor-element
            -property
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="property_pluginAssets">
        $pluginAssets
        <a href="classes/Inc-Base-BaseController.html#property_pluginAssets" class="headerlink"><i class="fas fa-link"></i></a>
        <span class="phpdocumentor-element__modifiers">
                                </span>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="inc/Base/BaseController.php"><a href="files/inc-base-basecontroller.html"><abbr title="inc/Base/BaseController.php">BaseController.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">30</span>

    </aside>

    
    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
        <span class="phpdocumentor-signature__type">mixed</span>
    <span class="phpdocumentor-signature__name">$pluginAssets</span>
    </code>

        <section class="phpdocumentor-description"></section>

        <section class="phpdocumentor-description"></section>

    

</article>
                    <article
        class="
            phpdocumentor-element
            -property
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="property_pluginFileName">
        $pluginFileName
        <a href="classes/Inc-Base-BaseController.html#property_pluginFileName" class="headerlink"><i class="fas fa-link"></i></a>
        <span class="phpdocumentor-element__modifiers">
                                </span>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="inc/Base/BaseController.php"><a href="files/inc-base-basecontroller.html"><abbr title="inc/Base/BaseController.php">BaseController.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">24</span>

    </aside>

    
    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
        <span class="phpdocumentor-signature__type">mixed</span>
    <span class="phpdocumentor-signature__name">$pluginFileName</span>
    </code>

        <section class="phpdocumentor-description"></section>

        <section class="phpdocumentor-description"></section>

    

</article>
                    <article
        class="
            phpdocumentor-element
            -property
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="property_pluginLogsDir">
        $pluginLogsDir
        <a href="classes/Inc-Base-BaseController.html#property_pluginLogsDir" class="headerlink"><i class="fas fa-link"></i></a>
        <span class="phpdocumentor-element__modifiers">
                                </span>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="inc/Base/BaseController.php"><a href="files/inc-base-basecontroller.html"><abbr title="inc/Base/BaseController.php">BaseController.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">32</span>

    </aside>

    
    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
        <span class="phpdocumentor-signature__type">mixed</span>
    <span class="phpdocumentor-signature__name">$pluginLogsDir</span>
    </code>

        <section class="phpdocumentor-description"></section>

        <section class="phpdocumentor-description"></section>

    

</article>
                    <article
        class="
            phpdocumentor-element
            -property
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="property_pluginLogsFileName">
        $pluginLogsFileName
        <a href="classes/Inc-Base-BaseController.html#property_pluginLogsFileName" class="headerlink"><i class="fas fa-link"></i></a>
        <span class="phpdocumentor-element__modifiers">
                                </span>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="inc/Base/BaseController.php"><a href="files/inc-base-basecontroller.html"><abbr title="inc/Base/BaseController.php">BaseController.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">34</span>

    </aside>

    
    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
        <span class="phpdocumentor-signature__type">mixed</span>
    <span class="phpdocumentor-signature__name">$pluginLogsFileName</span>
    </code>

        <section class="phpdocumentor-description"></section>

        <section class="phpdocumentor-description"></section>

    

</article>
                    <article
        class="
            phpdocumentor-element
            -property
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="property_pluginName">
        $pluginName
        <a href="classes/Inc-Base-BaseController.html#property_pluginName" class="headerlink"><i class="fas fa-link"></i></a>
        <span class="phpdocumentor-element__modifiers">
                                </span>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="inc/Base/BaseController.php"><a href="files/inc-base-basecontroller.html"><abbr title="inc/Base/BaseController.php">BaseController.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">26</span>

    </aside>

    
    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
        <span class="phpdocumentor-signature__type">mixed</span>
    <span class="phpdocumentor-signature__name">$pluginName</span>
    </code>

        <section class="phpdocumentor-description"></section>

        <section class="phpdocumentor-description"></section>

    

</article>
                    <article
        class="
            phpdocumentor-element
            -property
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="property_pluginPath">
        $pluginPath
        <a href="classes/Inc-Base-BaseController.html#property_pluginPath" class="headerlink"><i class="fas fa-link"></i></a>
        <span class="phpdocumentor-element__modifiers">
                                </span>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="inc/Base/BaseController.php"><a href="files/inc-base-basecontroller.html"><abbr title="inc/Base/BaseController.php">BaseController.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">18</span>

    </aside>

    
    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
        <span class="phpdocumentor-signature__type">mixed</span>
    <span class="phpdocumentor-signature__name">$pluginPath</span>
    </code>

        <section class="phpdocumentor-description"></section>

        <section class="phpdocumentor-description"></section>

    

</article>
                    <article
        class="
            phpdocumentor-element
            -property
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="property_pluginUrl">
        $pluginUrl
        <a href="classes/Inc-Base-BaseController.html#property_pluginUrl" class="headerlink"><i class="fas fa-link"></i></a>
        <span class="phpdocumentor-element__modifiers">
                                </span>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="inc/Base/BaseController.php"><a href="files/inc-base-basecontroller.html"><abbr title="inc/Base/BaseController.php">BaseController.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">20</span>

    </aside>

    
    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
        <span class="phpdocumentor-signature__type">mixed</span>
    <span class="phpdocumentor-signature__name">$pluginUrl</span>
    </code>

        <section class="phpdocumentor-description"></section>

        <section class="phpdocumentor-description"></section>

    

</article>
                    <article
        class="
            phpdocumentor-element
            -property
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="property_pluginVersion">
        $pluginVersion
        <a href="classes/Inc-Base-BaseController.html#property_pluginVersion" class="headerlink"><i class="fas fa-link"></i></a>
        <span class="phpdocumentor-element__modifiers">
                                </span>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="inc/Base/BaseController.php"><a href="files/inc-base-basecontroller.html"><abbr title="inc/Base/BaseController.php">BaseController.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">28</span>

    </aside>

    
    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
        <span class="phpdocumentor-signature__type">mixed</span>
    <span class="phpdocumentor-signature__name">$pluginVersion</span>
    </code>

        <section class="phpdocumentor-description"></section>

        <section class="phpdocumentor-description"></section>

    

</article>
                    <article
        class="
            phpdocumentor-element
            -property
            -public
            -static                                            "
>
    <h4 class="phpdocumentor-element__name" id="property_sectionId">
        $sectionId
        <a href="classes/Inc-Pages-Configuration-ConfigurationCallbacks.html#property_sectionId" class="headerlink"><i class="fas fa-link"></i></a>
        <span class="phpdocumentor-element__modifiers">
                                </span>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="inc/Pages/Configuration/ConfigurationCallbacks.php"><a href="files/inc-pages-configuration-configurationcallbacks.html"><abbr title="inc/Pages/Configuration/ConfigurationCallbacks.php">ConfigurationCallbacks.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">40</span>

    </aside>

        <p class="phpdocumentor-summary">Declare the Id for setSettings() method</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
    <span class="phpdocumentor-signature__static">static</span>    <span class="phpdocumentor-signature__type">string</span>
    <span class="phpdocumentor-signature__name">$sectionId</span>
     = <span class="phpdocumentor-signature__default-value">&#039;oersi_configuration&#039;</span></code>

    
    
    

</article>
                    <article
        class="
            phpdocumentor-element
            -property
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="property_settings">
        $settings
        <a href="classes/Inc-Pages-Configuration-Configuration.html#property_settings" class="headerlink"><i class="fas fa-link"></i></a>
        <span class="phpdocumentor-element__modifiers">
                                </span>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="inc/Pages/Configuration/Configuration.php"><a href="files/inc-pages-configuration-configuration.html"><abbr title="inc/Pages/Configuration/Configuration.php">Configuration.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">32</span>

    </aside>

        <p class="phpdocumentor-summary">A property to store the settings api class</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
        <span class="phpdocumentor-signature__type"><a href="classes/Inc-Api-SettingsApi.html"><abbr title="\Inc\Api\SettingsApi">SettingsApi</abbr></a></span>
    <span class="phpdocumentor-signature__name">$settings</span>
    </code>

    
    
    

</article>
            </section>

            <section class="phpdocumentor-methods">
        <h3 class="phpdocumentor-elements__header" id="methods">
            Methods
            <a href="classes/Inc-Pages-Configuration-Configuration.html#methods" class="headerlink"><i class="fas fa-link"></i></a>
        </h3>
                    <article
        class="phpdocumentor-element
            -method
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method___construct">
        __construct()
        <a href="classes/Inc-Base-BaseController.html#method___construct" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="inc/Base/BaseController.php"><a href="files/inc-base-basecontroller.html"><abbr title="inc/Base/BaseController.php">BaseController.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">37</span>

    </aside>

    
    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
                    <span class="phpdocumentor-signature__name">__construct</span><span>(</span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">mixed</span></code>

        <section class="phpdocumentor-description"></section>

    
    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">mixed</span>
            &mdash;
        
    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_checkboxField">
        checkboxField()
        <a href="classes/Inc-Pages-Configuration-ConfigurationCallbacks.html#method_checkboxField" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="inc/Pages/Configuration/ConfigurationCallbacks.php"><a href="files/inc-pages-configuration-configurationcallbacks.html"><abbr title="inc/Pages/Configuration/ConfigurationCallbacks.php">ConfigurationCallbacks.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">285</span>

    </aside>

        <p class="phpdocumentor-summary">This method will generate a checkbox field. and will be called as a callback in the renderInputs method.</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
                    <span class="phpdocumentor-signature__name">checkboxField</span><span>(</span><span class="phpdocumentor-signature__argument"><span class="phpdocumentor-signature__argument__return-type">array&lt;string|int, mixed&gt;&nbsp;</span><span class="phpdocumentor-signature__argument__name">$args</span></span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">void</span></code>

    
        <h5 class="phpdocumentor-argument-list__heading">Parameters</h5>
    <dl class="phpdocumentor-argument-list">
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$args</span>
                : <span class="phpdocumentor-signature__argument__return-type">array&lt;string|int, mixed&gt;</span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                    <section class="phpdocumentor-description"><p>contains input arguments</p>
</section>

            </dd>
            </dl>

    
    <h5 class="phpdocumentor-tag-list__heading" id="tags">
        Tags
        <a href="#tags" class="headerlink"><i class="fas fa-link"></i></a>
    </h5>
    <dl class="phpdocumentor-tag-list">
                                    <dt class="phpdocumentor-tag-list__entry">
                    <span class="phpdocumentor-tag__name">since</span>
                </dt>
                <dd class="phpdocumentor-tag-list__definition">
                                            <span class="phpdocumentor-tag-link">1.0.0</span>
                                                                                
                                             
                                    </dd>
                        </dl>

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">void</span>
            &mdash;
        
    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_dropDownField">
        dropDownField()
        <a href="classes/Inc-Pages-Configuration-ConfigurationCallbacks.html#method_dropDownField" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="inc/Pages/Configuration/ConfigurationCallbacks.php"><a href="files/inc-pages-configuration-configurationcallbacks.html"><abbr title="inc/Pages/Configuration/ConfigurationCallbacks.php">ConfigurationCallbacks.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">325</span>

    </aside>

        <p class="phpdocumentor-summary">This method will generate a select field. and will be called as a callback in the renderInputs method.</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
                    <span class="phpdocumentor-signature__name">dropDownField</span><span>(</span><span class="phpdocumentor-signature__argument"><span class="phpdocumentor-signature__argument__return-type">array&lt;string|int, mixed&gt;&nbsp;</span><span class="phpdocumentor-signature__argument__name">$args</span></span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">void</span></code>

    
        <h5 class="phpdocumentor-argument-list__heading">Parameters</h5>
    <dl class="phpdocumentor-argument-list">
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$args</span>
                : <span class="phpdocumentor-signature__argument__return-type">array&lt;string|int, mixed&gt;</span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                    <section class="phpdocumentor-description"><p>contains input arguments</p>
</section>

            </dd>
            </dl>

    
    <h5 class="phpdocumentor-tag-list__heading" id="tags">
        Tags
        <a href="#tags" class="headerlink"><i class="fas fa-link"></i></a>
    </h5>
    <dl class="phpdocumentor-tag-list">
                                    <dt class="phpdocumentor-tag-list__entry">
                    <span class="phpdocumentor-tag__name">since</span>
                </dt>
                <dd class="phpdocumentor-tag-list__definition">
                                            <span class="phpdocumentor-tag-link">1.0.0</span>
                                                                                
                                             
                                    </dd>
                        </dl>

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">void</span>
            &mdash;
        
    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -public
                        -abstract                                "
>
    <h4 class="phpdocumentor-element__name" id="method_fields">
        fields()
        <a href="classes/Inc-Api-AbstractCallback.html#method_fields" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="inc/Api/AbstractCallback.php"><a href="files/inc-api-abstractcallback.html"><abbr title="inc/Api/AbstractCallback.php">AbstractCallback.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">36</span>

    </aside>

        <p class="phpdocumentor-summary">Fields to be generated in the settings page, this function is called in the register method.</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
    <span class="phpdocumentor-signature__abstract">abstract</span>                <span class="phpdocumentor-signature__name">fields</span><span>(</span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">array&lt;string|int, mixed&gt;</span></code>

    
    
    
    <h5 class="phpdocumentor-tag-list__heading" id="tags">
        Tags
        <a href="#tags" class="headerlink"><i class="fas fa-link"></i></a>
    </h5>
    <dl class="phpdocumentor-tag-list">
                                    <dt class="phpdocumentor-tag-list__entry">
                    <span class="phpdocumentor-tag__name">since</span>
                </dt>
                <dd class="phpdocumentor-tag-list__definition">
                                            <span class="phpdocumentor-tag-link">1.0.0</span>
                                                                                
                                             
                                    </dd>
                        </dl>

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">array&lt;string|int, mixed&gt;</span>
            &mdash;
        
    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_numberField">
        numberField()
        <a href="classes/Inc-Pages-Configuration-ConfigurationCallbacks.html#method_numberField" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="inc/Pages/Configuration/ConfigurationCallbacks.php"><a href="files/inc-pages-configuration-configurationcallbacks.html"><abbr title="inc/Pages/Configuration/ConfigurationCallbacks.php">ConfigurationCallbacks.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">305</span>

    </aside>

        <p class="phpdocumentor-summary">This method will generate a input number field. and will be called as a callback in the renderInputs method.</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
                    <span class="phpdocumentor-signature__name">numberField</span><span>(</span><span class="phpdocumentor-signature__argument"><span class="phpdocumentor-signature__argument__return-type">array&lt;string|int, mixed&gt;&nbsp;</span><span class="phpdocumentor-signature__argument__name">$args</span></span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">void</span></code>

    
        <h5 class="phpdocumentor-argument-list__heading">Parameters</h5>
    <dl class="phpdocumentor-argument-list">
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$args</span>
                : <span class="phpdocumentor-signature__argument__return-type">array&lt;string|int, mixed&gt;</span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                    <section class="phpdocumentor-description"><p>contains input arguments</p>
</section>

            </dd>
            </dl>

    
    <h5 class="phpdocumentor-tag-list__heading" id="tags">
        Tags
        <a href="#tags" class="headerlink"><i class="fas fa-link"></i></a>
    </h5>
    <dl class="phpdocumentor-tag-list">
                                    <dt class="phpdocumentor-tag-list__entry">
                    <span class="phpdocumentor-tag__name">since</span>
                </dt>
                <dd class="phpdocumentor-tag-list__definition">
                                            <span class="phpdocumentor-tag-link">1.0.0</span>
                                                                                
                                             
                                    </dd>
                        </dl>

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">void</span>
            &mdash;
        
    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_register">
        register()
        <a href="classes/Inc-Pages-Configuration-Configuration.html#method_register" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="inc/Pages/Configuration/Configuration.php"><a href="files/inc-pages-configuration-configuration.html"><abbr title="inc/Pages/Configuration/Configuration.php">Configuration.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">48</span>

    </aside>

        <p class="phpdocumentor-summary">A function that is called when we register it in the init method
 Register contain all the methods that we want to call when we register the plugin</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
                    <span class="phpdocumentor-signature__name">register</span><span>(</span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">void</span></code>

    
    
    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">void</span>
            &mdash;
        
    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -public
                        -abstract                                "
>
    <h4 class="phpdocumentor-element__name" id="method_render">
        render()
        <a href="classes/Inc-Api-AbstractCallback.html#method_render" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="inc/Api/AbstractCallback.php"><a href="files/inc-api-abstractcallback.html"><abbr title="inc/Api/AbstractCallback.php">AbstractCallback.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">98</span>

    </aside>

        <p class="phpdocumentor-summary">This method with deliver the input based on type of input.</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
    <span class="phpdocumentor-signature__abstract">abstract</span>                <span class="phpdocumentor-signature__name">render</span><span>(</span><span class="phpdocumentor-signature__argument"><span class="phpdocumentor-signature__argument__return-type">array&lt;string|int, mixed&gt;&nbsp;</span><span class="phpdocumentor-signature__argument__name">$args</span></span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">void</span></code>

    
        <h5 class="phpdocumentor-argument-list__heading">Parameters</h5>
    <dl class="phpdocumentor-argument-list">
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$args</span>
                : <span class="phpdocumentor-signature__argument__return-type">array&lt;string|int, mixed&gt;</span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                    <section class="phpdocumentor-description"><p>contains the input fields and their attributes.</p>
</section>

            </dd>
            </dl>

    
    <h5 class="phpdocumentor-tag-list__heading" id="tags">
        Tags
        <a href="#tags" class="headerlink"><i class="fas fa-link"></i></a>
    </h5>
    <dl class="phpdocumentor-tag-list">
                                    <dt class="phpdocumentor-tag-list__entry">
                    <span class="phpdocumentor-tag__name">since</span>
                </dt>
                <dd class="phpdocumentor-tag-list__definition">
                                            <span class="phpdocumentor-tag-link">1.0.0</span>
                                                                                
                                             
                                    </dd>
                        </dl>

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">void</span>
            &mdash;
        
    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_sanitizeInputs">
        sanitizeInputs()
        <a href="classes/Inc-Api-AbstractCallback.html#method_sanitizeInputs" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="inc/Api/AbstractCallback.php"><a href="files/inc-api-abstractcallback.html"><abbr title="inc/Api/AbstractCallback.php">AbstractCallback.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">55</span>

    </aside>

        <p class="phpdocumentor-summary">This method will sanitize the input data before saving it in the database.</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
                    <span class="phpdocumentor-signature__name">sanitizeInputs</span><span>(</span><span class="phpdocumentor-signature__argument"><span class="phpdocumentor-signature__argument__return-type">array&lt;string|int, mixed&gt;&nbsp;</span><span class="phpdocumentor-signature__argument__name">$input</span></span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">array&lt;string|int, mixed&gt;</span></code>

    
        <h5 class="phpdocumentor-argument-list__heading">Parameters</h5>
    <dl class="phpdocumentor-argument-list">
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$input</span>
                : <span class="phpdocumentor-signature__argument__return-type">array&lt;string|int, mixed&gt;</span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                    <section class="phpdocumentor-description"><p>contains all input fields declared in the fields() method.</p>
</section>

            </dd>
            </dl>

    
    <h5 class="phpdocumentor-tag-list__heading" id="tags">
        Tags
        <a href="#tags" class="headerlink"><i class="fas fa-link"></i></a>
    </h5>
    <dl class="phpdocumentor-tag-list">
                                    <dt class="phpdocumentor-tag-list__entry">
                    <span class="phpdocumentor-tag__name">since</span>
                </dt>
                <dd class="phpdocumentor-tag-list__definition">
                                            <span class="phpdocumentor-tag-link">1.0.0</span>
                                                                                
                                             
                                    </dd>
                        </dl>

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">array&lt;string|int, mixed&gt;</span>
            &mdash;
            <section class="phpdocumentor-description"><p>$Output contains the sanitized inputs</p>
</section>

    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -public
                        -abstract                                "
>
    <h4 class="phpdocumentor-element__name" id="method_sectionManager">
        sectionManager()
        <a href="classes/Inc-Api-AbstractCallback.html#method_sectionManager" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="inc/Api/AbstractCallback.php"><a href="files/inc-api-abstractcallback.html"><abbr title="inc/Api/AbstractCallback.php">AbstractCallback.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">45</span>

    </aside>

        <p class="phpdocumentor-summary">function is called as a callback in setSection function.</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
    <span class="phpdocumentor-signature__abstract">abstract</span>                <span class="phpdocumentor-signature__name">sectionManager</span><span>(</span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">void</span></code>

    
    
    
    <h5 class="phpdocumentor-tag-list__heading" id="tags">
        Tags
        <a href="#tags" class="headerlink"><i class="fas fa-link"></i></a>
    </h5>
    <dl class="phpdocumentor-tag-list">
                                    <dt class="phpdocumentor-tag-list__entry">
                    <span class="phpdocumentor-tag__name">since</span>
                </dt>
                <dd class="phpdocumentor-tag-list__definition">
                                            <span class="phpdocumentor-tag-link">1.0.0</span>
                                                                                
                                             
                                    </dd>
                        </dl>

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">void</span>
            &mdash;
        
    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_setFields">
        setFields()
        <a href="classes/Inc-Pages-Configuration-Configuration.html#method_setFields" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="inc/Pages/Configuration/Configuration.php"><a href="files/inc-pages-configuration-configuration.html"><abbr title="inc/Pages/Configuration/Configuration.php">Configuration.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">140</span>

    </aside>

        <p class="phpdocumentor-summary">Part of the Settings API. this  define all the fields we want to add to the settings section.</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
                    <span class="phpdocumentor-signature__name">setFields</span><span>(</span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">void</span></code>

        <section class="phpdocumentor-description"><p>it will assign the fields to the $this-&gt;fields</p>
</section>

    
    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">void</span>
            &mdash;
        
    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_setPages">
        setPages()
        <a href="classes/Inc-Pages-Configuration-Configuration.html#method_setPages" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="inc/Pages/Configuration/Configuration.php"><a href="files/inc-pages-configuration-configuration.html"><abbr title="inc/Pages/Configuration/Configuration.php">Configuration.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">67</span>

    </aside>

        <p class="phpdocumentor-summary">A function that we can add all the pages we want to add to the wordpress admin menu
 it will assign the pages to the $this-&gt;pages array</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
                    <span class="phpdocumentor-signature__name">setPages</span><span>(</span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">void</span></code>

    
    
    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">void</span>
            &mdash;
        
    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_setSections">
        setSections()
        <a href="classes/Inc-Pages-Configuration-Configuration.html#method_setSections" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="inc/Pages/Configuration/Configuration.php"><a href="files/inc-pages-configuration-configuration.html"><abbr title="inc/Pages/Configuration/Configuration.php">Configuration.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">116</span>

    </aside>

        <p class="phpdocumentor-summary">Part of the Settings API. this  define all the sections we want to add  at the top of the settings section before the actual fields.</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
                    <span class="phpdocumentor-signature__name">setSections</span><span>(</span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">void</span></code>

        <section class="phpdocumentor-description"><p>it will assign the sections to the $this-&gt;sections</p>
</section>

    
    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">void</span>
            &mdash;
        
    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_setSettings">
        setSettings()
        <a href="classes/Inc-Pages-Configuration-Configuration.html#method_setSettings" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="inc/Pages/Configuration/Configuration.php"><a href="files/inc-pages-configuration-configuration.html"><abbr title="inc/Pages/Configuration/Configuration.php">Configuration.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">92</span>

    </aside>

        <p class="phpdocumentor-summary">A function that registers all the settings we want to add to the wordpress admin menu
 it will assign the settings to the $this-&gt;settings</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
                    <span class="phpdocumentor-signature__name">setSettings</span><span>(</span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">void</span></code>

    
    
    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">void</span>
            &mdash;
        
    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -public
                        -abstract                                "
>
    <h4 class="phpdocumentor-element__name" id="method_template">
        template()
        <a href="classes/Inc-Api-AbstractCallback.html#method_template" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="inc/Api/AbstractCallback.php"><a href="files/inc-api-abstractcallback.html"><abbr title="inc/Api/AbstractCallback.php">AbstractCallback.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">27</span>

    </aside>

        <p class="phpdocumentor-summary">Return Templates for the translations page.</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
    <span class="phpdocumentor-signature__abstract">abstract</span>                <span class="phpdocumentor-signature__name">template</span><span>(</span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">void</span></code>

    
    
    
    <h5 class="phpdocumentor-tag-list__heading" id="tags">
        Tags
        <a href="#tags" class="headerlink"><i class="fas fa-link"></i></a>
    </h5>
    <dl class="phpdocumentor-tag-list">
                                    <dt class="phpdocumentor-tag-list__entry">
                    <span class="phpdocumentor-tag__name">since</span>
                </dt>
                <dd class="phpdocumentor-tag-list__definition">
                                            <span class="phpdocumentor-tag-link">1.0.0</span>
                                                                                
                                             
                                    </dd>
                        </dl>

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">void</span>
            &mdash;
        
    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_textAreaField">
        textAreaField()
        <a href="classes/Inc-Pages-Configuration-ConfigurationCallbacks.html#method_textAreaField" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="inc/Pages/Configuration/ConfigurationCallbacks.php"><a href="files/inc-pages-configuration-configurationcallbacks.html"><abbr title="inc/Pages/Configuration/ConfigurationCallbacks.php">ConfigurationCallbacks.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">265</span>

    </aside>

        <p class="phpdocumentor-summary">This method will generate a textarea field. and will be called as a callback in the renderInputs method.</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
                    <span class="phpdocumentor-signature__name">textAreaField</span><span>(</span><span class="phpdocumentor-signature__argument"><span class="phpdocumentor-signature__argument__return-type">array&lt;string|int, mixed&gt;&nbsp;</span><span class="phpdocumentor-signature__argument__name">$args</span></span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">void</span></code>

    
        <h5 class="phpdocumentor-argument-list__heading">Parameters</h5>
    <dl class="phpdocumentor-argument-list">
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$args</span>
                : <span class="phpdocumentor-signature__argument__return-type">array&lt;string|int, mixed&gt;</span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                    <section class="phpdocumentor-description"><p>contains input arguments</p>
</section>

            </dd>
            </dl>

    
    <h5 class="phpdocumentor-tag-list__heading" id="tags">
        Tags
        <a href="#tags" class="headerlink"><i class="fas fa-link"></i></a>
    </h5>
    <dl class="phpdocumentor-tag-list">
                                    <dt class="phpdocumentor-tag-list__entry">
                    <span class="phpdocumentor-tag__name">since</span>
                </dt>
                <dd class="phpdocumentor-tag-list__definition">
                                            <span class="phpdocumentor-tag-link">1.0.0</span>
                                                                                
                                             
                                    </dd>
                        </dl>

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">void</span>
            &mdash;
        
    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_textField">
        textField()
        <a href="classes/Inc-Pages-Configuration-ConfigurationCallbacks.html#method_textField" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="inc/Pages/Configuration/ConfigurationCallbacks.php"><a href="files/inc-pages-configuration-configurationcallbacks.html"><abbr title="inc/Pages/Configuration/ConfigurationCallbacks.php">ConfigurationCallbacks.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">244</span>

    </aside>

        <p class="phpdocumentor-summary">This method will generate a text field. and will be called as a callback in the renderInputs method.</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
                    <span class="phpdocumentor-signature__name">textField</span><span>(</span><span class="phpdocumentor-signature__argument"><span class="phpdocumentor-signature__argument__return-type">array&lt;string|int, mixed&gt;&nbsp;</span><span class="phpdocumentor-signature__argument__name">$args</span></span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">void</span></code>

    
        <h5 class="phpdocumentor-argument-list__heading">Parameters</h5>
    <dl class="phpdocumentor-argument-list">
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$args</span>
                : <span class="phpdocumentor-signature__argument__return-type">array&lt;string|int, mixed&gt;</span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                    <section class="phpdocumentor-description"><p>contains input arguments</p>
</section>

            </dd>
            </dl>

    
    <h5 class="phpdocumentor-tag-list__heading" id="tags">
        Tags
        <a href="#tags" class="headerlink"><i class="fas fa-link"></i></a>
    </h5>
    <dl class="phpdocumentor-tag-list">
                                    <dt class="phpdocumentor-tag-list__entry">
                    <span class="phpdocumentor-tag__name">since</span>
                </dt>
                <dd class="phpdocumentor-tag-list__definition">
                                            <span class="phpdocumentor-tag-link">1.0.0</span>
                                                                                
                                             
                                    </dd>
                        </dl>

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">void</span>
            &mdash;
        
    
</article>
            </section>

        
    <script type="text/javascript">
        function loadExternalCodeSnippets(line) {
            Array.prototype.slice.call(document.querySelectorAll('pre[data-src]')).forEach((pre) => {
                var src = pre.getAttribute('data-src').replace( /\\/g, '/');
                var extension = (src.match(/\.(\w+)$/) || [, ''])[1];
                var language = 'php';

                var code = document.createElement('code');
                code.className = 'language-' + language;

                pre.textContent = '';

                pre.setAttribute('data-line', line)
                code.textContent = 'Loading…';

                pre.appendChild(code);

                var xhr = new XMLHttpRequest();

                xhr.open('GET', src, true);

                xhr.onreadystatechange = function () {
                    if (xhr.readyState == 4) {

                        if (xhr.status < 400 && xhr.responseText) {
                            code.textContent = xhr.responseText;

                            Prism.highlightElement(code);
                        }
                        else if (xhr.status >= 400) {
                            code.textContent = '✖ Error ' + xhr.status + ' while fetching file: ' + xhr.statusText;
                        }
                        else {
                            code.textContent = '✖ Error: File does not exist, is empty or trying to view from localhost';
                        }
                    }
                };

                xhr.send(null);
            });
        }

        var modals = document.querySelectorAll("[data-modal]");

        modals.forEach(function (trigger) {
            trigger.addEventListener("click", function (event) {
                //event.preventDefault();
                const modal = document.getElementById(trigger.dataset.modal);
                modal.classList.add("phpdocumentor-modal__open");
                loadExternalCodeSnippets(trigger.dataset.line)
                const exits = modal.querySelectorAll("[data-exit-button]");
                exits.forEach(function (exit) {
                    exit.addEventListener("click", function (event) {
                        event.preventDefault();
                        modal.classList.remove("phpdocumentor-modal__open");
                    });
                });
            });
        });
    </script>

    </article>
                <section data-search-results class="phpdocumentor-search-results phpdocumentor-search-results--hidden">
    <section class="phpdocumentor-search-results__dialog">
        <header class="phpdocumentor-search-results__header">
            <h2 class="phpdocumentor-search-results__title">Search results</h2>
            <button class="phpdocumentor-search-results__close"><i class="fas fa-times"></i></button>
        </header>
        <section class="phpdocumentor-search-results__body">
            <ul class="phpdocumentor-search-results__entries"></ul>
        </section>
    </section>
</section>
            </div>
        </div>
        <a href="classes/Inc-Pages-Configuration-Configuration.html#top" class="phpdocumentor-back-to-top"><i class="fas fa-chevron-circle-up"></i></a>

    </main>

    <script>
        cssVars({});
    </script>
    <script src="https://cdn.jsdelivr.net/npm/prismjs@1.23.0/prism.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/prismjs@1.23.0/plugins/autoloader/prism-autoloader.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/prismjs@1.23.0/plugins/line-numbers/prism-line-numbers.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/prismjs@1.23.0/plugins/line-highlight/prism-line-highlight.min.js"></script>
</body>
</html>
